diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_info.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_info.c
index 9a9113b..1387cd4 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_info.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_info.c
@@ -22,46 +22,7 @@
 
 static pinmuxPerCfg_t gGpio0PinCfg[] =
 {
-    /* MyGPIO0 -> GPIO0_11 -> AD21 */
-    {
-        PIN_PRG1_PRU0_GPO10, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyGPIO0 -> GPIO0_45 -> AE27 */
-    {
-        PIN_PRG0_PRU0_GPO2, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyGPIO0 -> GPIO0_46 -> AD26 */
-    {
-        PIN_PRG0_PRU0_GPO3, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyGPIO0 -> GPIO0_65 -> AD27 */
-    {
-        PIN_PRG0_PRU1_GPO2, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyGPIO0 -> GPIO0_66 -> AC25 */
-    {
-        PIN_PRG0_PRU1_GPO3, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyGPIO0 -> GPIO0_76 -> AF26 */
-    {
-        PIN_PRG0_PRU1_GPO13, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyGPIO0 -> GPIO0_78 -> AF29 */
-    {
-        PIN_PRG0_PRU1_GPO15, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyGPIO0 -> GPIO0_79 -> AG29 */
-    {
-        PIN_PRG0_PRU1_GPO16, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+
     {PINMUX_END}
 };
 
@@ -87,7 +48,7 @@ static pinmuxModuleCfg_t gGpioPinCfg[] =
     {PINMUX_END}
 };
 
-
+#if 0
 static pinmuxPerCfg_t gMcasp1PinCfg[] =
 {
     /* MyMCASP1 -> MCASP1_ACLKX -> AB27 */
@@ -125,6 +86,7 @@ static pinmuxPerCfg_t gMcasp1PinCfg[] =
         PIN_PRG0_PRU1_GPO9, PIN_MODE(12) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
+    
     /* MyMCASP1 -> MCASP1_AXR6 -> AA25 */
     {
         PIN_PRG0_PRU1_GPO10, PIN_MODE(12) | \
@@ -142,64 +104,34 @@ static pinmuxPerCfg_t gMcasp1PinCfg[] =
     },
     {PINMUX_END}
 };
-
+#endif
 static pinmuxPerCfg_t gMcasp0PinCfg[] =
 {
+#if 0    
     /* MyMCASP0 -> MCASP0_ACLKX -> AB26 */
     {
         PIN_PRG0_PRU0_GPO9, PIN_MODE(12) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
+#endif    
     /* MyMCASP0 -> MCASP0_AFSX -> AB25 */
     {
         PIN_PRG0_PRU0_GPO10, PIN_MODE(12) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyMCASP0 -> MCASP0_AXR0 -> AF28 */
-    {
-        PIN_PRG0_PRU0_GPO0, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP0 -> MCASP0_AXR1 -> AE28 */
-    {
-        PIN_PRG0_PRU0_GPO1, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP0 -> MCASP0_AXR10 -> AG28 */
-    {
-        PIN_PRG0_PRU0_GPO14, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP0 -> MCASP0_AXR11 -> AG27 */
-    {
-        PIN_PRG0_PRU0_GPO15, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP0 -> MCASP0_AXR12 -> AH28 */
-    {
-        PIN_PRG0_PRU0_GPO16, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+
     /* MyMCASP0 -> MCASP0_AXR13 -> AB24 */
     {
         PIN_PRG0_PRU0_GPO17, PIN_MODE(12) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyMCASP0 -> MCASP0_AXR2 -> AD25 */
-    {
-        PIN_PRG0_PRU0_GPO4, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+
     /* MyMCASP0 -> MCASP0_AXR3 -> AC29 */
     {
         PIN_PRG0_PRU0_GPO5, PIN_MODE(12) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyMCASP0 -> MCASP0_AXR4 -> AE26 */
-    {
-        PIN_PRG0_PRU0_GPO6, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+
     /* MyMCASP0 -> MCASP0_AXR5 -> AC28 */
     {
         PIN_PRG0_PRU0_GPO7, PIN_MODE(12) | \
@@ -210,21 +142,6 @@ static pinmuxPerCfg_t gMcasp0PinCfg[] =
         PIN_PRG0_PRU0_GPO8, PIN_MODE(12) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyMCASP0 -> MCASP0_AXR7 -> AJ28 */
-    {
-        PIN_PRG0_PRU0_GPO11, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP0 -> MCASP0_AXR8 -> AH27 */
-    {
-        PIN_PRG0_PRU0_GPO12, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP0 -> MCASP0_AXR9 -> AH29 */
-    {
-        PIN_PRG0_PRU0_GPO13, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     /* MyMCASP0 -> AUDIO_EXT_REFCLK0 -> AD22 */
     {
         PIN_PRG1_PRU0_GPO6, PIN_MODE(6) | \
@@ -233,15 +150,6 @@ static pinmuxPerCfg_t gMcasp0PinCfg[] =
     {PINMUX_END}
 };
 
-static pinmuxPerCfg_t gMcasp2PinCfg[] =
-{
-    /* MyMCASP2 -> MCASP2_AXR0 -> AE25 */
-    {
-        PIN_PRG0_PRU1_GPO14, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
 
 static pinmuxPerCfg_t gMcasp6PinCfg[] =
 {
@@ -250,16 +158,7 @@ static pinmuxPerCfg_t gMcasp6PinCfg[] =
         PIN_PRG1_PRU0_GPO4, PIN_MODE(13) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyMCASP6 -> MCASP6_ACLKX -> AC23 */
-    {
-        PIN_PRG1_PRU0_GPO0, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP6 -> MCASP6_AFSX -> AG22 */
-    {
-        PIN_PRG1_PRU0_GPO1, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+
     /* MyMCASP6 -> MCASP6_AXR0 -> AF22 */
     {
         PIN_PRG1_PRU0_GPO2, PIN_MODE(12) | \
@@ -280,9 +179,9 @@ static pinmuxPerCfg_t gMcasp6PinCfg[] =
 
 static pinmuxModuleCfg_t gMcaspPinCfg[] =
 {
-    {1, TRUE, gMcasp1PinCfg},
+    //{1, TRUE, gMcasp1PinCfg},
     {0, TRUE, gMcasp0PinCfg},
-    {2, TRUE, gMcasp2PinCfg},
+    // {2, TRUE, gMcasp2PinCfg},
     {6, TRUE, gMcasp6PinCfg},
     {PINMUX_END}
 };
@@ -322,16 +221,6 @@ static pinmuxModuleCfg_t gSpiPinCfg[] =
 
 static pinmuxPerCfg_t gVout0PinCfg[] =
 {
-    /* MyVOUT1 -> VOUT0_DATA0 -> AE22 */
-    {
-        PIN_PRG1_PRU1_GPO0, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA1 -> AG23 */
-    {
-        PIN_PRG1_PRU1_GPO1, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
     /* MyVOUT1 -> VOUT0_DATA2 -> AF23 */
     {
         PIN_PRG1_PRU1_GPO2, PIN_MODE(10) | \
@@ -372,86 +261,7 @@ static pinmuxPerCfg_t gVout0PinCfg[] =
         PIN_PRG1_PRU1_GPO9, PIN_MODE(10) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
-    /* MyVOUT1 -> VOUT0_DATA10 -> AB23 */
-    {
-        PIN_PRG1_PRU1_GPO10, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA11 -> AJ25 */
-    {
-        PIN_PRG1_PRU1_GPO11, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA12 -> AH25 */
-    {
-        PIN_PRG1_PRU1_GPO12, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA13 -> AG25 */
-    {
-        PIN_PRG1_PRU1_GPO13, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA14 -> AH26 */
-    {
-        PIN_PRG1_PRU1_GPO14, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA15 -> AJ27 */
-    {
-        PIN_PRG1_PRU1_GPO15, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA16 -> AF24 */
-    {
-        PIN_PRG1_PRU0_GPO11, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA17 -> AJ24 */
-    {
-        PIN_PRG1_PRU0_GPO12, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA18 -> AG24 */
-    {
-        PIN_PRG1_PRU0_GPO13, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA19 -> AD24 */
-    {
-        PIN_PRG1_PRU0_GPO14, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA20 -> AC24 */
-    {
-        PIN_PRG1_PRU0_GPO15, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA21 -> AE24 */
-    {
-        PIN_PRG1_PRU0_GPO16, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA22 -> AJ20 */
-    {
-        PIN_PRG1_PRU0_GPO8, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DATA23 -> AG20 */
-    {
-        PIN_PRG1_PRU0_GPO9, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_DE -> AC22 */
-    {
-        PIN_PRG1_PRU1_GPO17, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyVOUT1 -> VOUT0_EXTPCLKIN -> AH21 */
-    {
-        PIN_PRG1_PRU0_GPO19, PIN_MODE(10) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+
     /* MyVOUT1 -> VOUT0_HSYNC -> AJ26 */
     {
         PIN_PRG1_PRU1_GPO16, PIN_MODE(10) | \
@@ -489,11 +299,6 @@ static pinmuxPerCfg_t gVpfe0PinCfg[] =
         PIN_PRG1_PRU0_GPO18, PIN_MODE(11) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyVPFE1 -> VPFE0_DATA11 -> AD19 */
-    {
-        PIN_PRG1_MDIO0_MDIO, PIN_MODE(11) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     /* MyVPFE1 -> VPFE0_DATA12 -> AD18 */
     {
         PIN_PRG1_MDIO0_MDC, PIN_MODE(11) | \
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_ethernet_config.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_ethernet_config.c
index 575b2e2..f13c107 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_ethernet_config.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_ethernet_config.c
@@ -234,29 +234,9 @@ static void Board_disableIcssEmacDelay(void)
  */
 Board_STATUS Board_cpswEnetExpPhyReset(bool enableFlag)
 {
-    Board_IoExpCfg_t ioExpCfg;
-    Board_STATUS status = BOARD_SOK;
-
-    ioExpCfg.i2cInst     = BOARD_I2C_IOEXP_DEVICE2_INSTANCE;
-    ioExpCfg.socDomain   = BOARD_SOC_DOMAIN_MAIN;
-    ioExpCfg.slaveAddr   = BOARD_I2C_IOEXP_DEVICE2_ADDR;
-    ioExpCfg.enableIntr  = false;
-    ioExpCfg.ioExpType   = THREE_PORT_IOEXP;
-    ioExpCfg.portNum     = PORTNUM_2;
-    ioExpCfg.pinNum      = PIN_NUM_1;
 
-    if (1U == enableFlag)
-    {
-        /* EXP_ENET_RSTz - set to 0 for PHY reset */
-        ioExpCfg.signalLevel = GPIO_SIGNAL_LEVEL_LOW;
-    }
-    else
-    {
-        /* EXP_ENET_RSTz - set to 1 to take PHY out of reset (normal operation)*/
-        ioExpCfg.signalLevel = GPIO_SIGNAL_LEVEL_HIGH;
-    }
+    Board_STATUS status = BOARD_SOK;
 
-    status = Board_control(BOARD_CTRL_CMD_SET_IO_EXP_PIN_OUT, &ioExpCfg);
 
     return status;
 }
@@ -268,32 +248,8 @@ Board_STATUS Board_cpswEnetExpPhyReset(bool enableFlag)
  */
 Board_STATUS Board_cpswEnetExpComaModeCfg(bool enableFlag)
 {
-    Board_IoExpCfg_t ioExpCfg;
     Board_STATUS status = BOARD_SOK;
 
-    if (Board_detectBoard(BOARD_ID_ENET) == TRUE)
-    {
-        ioExpCfg.i2cInst     = BOARD_I2C_IOEXP_DEVICE2_INSTANCE;
-        ioExpCfg.socDomain   = BOARD_SOC_DOMAIN_MAIN;
-        ioExpCfg.slaveAddr   = BOARD_I2C_IOEXP_DEVICE2_ADDR;
-        ioExpCfg.enableIntr  = false;
-        ioExpCfg.ioExpType   = THREE_PORT_IOEXP;
-        ioExpCfg.portNum     = PORTNUM_2;
-        ioExpCfg.pinNum      = PIN_NUM_0;
-
-        if (1U == enableFlag)
-        {
-            /* ENET_EXP_PWRDN - set to 1 for device power down */
-            ioExpCfg.signalLevel = GPIO_SIGNAL_LEVEL_HIGH;
-        }
-        else
-        {
-            /* ENET_EXP_PWRDN - set to 0 for normal operation */
-            ioExpCfg.signalLevel = GPIO_SIGNAL_LEVEL_LOW;
-        }
-
-        status = Board_control(BOARD_CTRL_CMD_SET_IO_EXP_PIN_OUT, &ioExpCfg);
-    }
 
     return status;
 }
@@ -691,6 +647,44 @@ Board_STATUS Board_ethConfigCpsw2g(void)
     return BOARD_SOK;
 }
 
+
+/* ========================================================================== */
+/*                          Function Definitions                              */
+/* ========================================================================== */
+/** \brief Start up sequence : Program the interrupt muxes / priorities */
+void SpiDisableMcuSpi1toSpi3(void)
+{
+
+    uint32_t regVal = 0U;
+    /* Unlock lock key registers for Partition 7: IO PAD
+       configuration registers in MAIN_CTRL_MMR */
+    /* write Partition 7 Lock Key 0 Register */
+    CSL_REG32_WR(CSL_WKUP_CTRL_MMR0_CFG0_BASE + 0x1D008, 0x68EF3490);
+    /* write Partition 7 Lock Key 1 Register */
+    CSL_REG32_WR(CSL_WKUP_CTRL_MMR0_CFG0_BASE + 0x1D00C, 0xD172BC5A);
+    /* Check for unlock */
+    regVal = CSL_REG32_RD(CSL_WKUP_CTRL_MMR0_CFG0_BASE + 0x1D008);
+    while ((regVal & 0x1) != 0x1U)
+    {
+		regVal = CSL_REG32_RD(CSL_WKUP_CTRL_MMR0_CFG0_BASE + 0x1D008);
+    }
+
+    /* Unlock lock key registers for Partition 1 */
+    /* write Partition Lock Key 0 Register */
+    CSL_REG32_WR(CSL_MCU_CTRL_MMR0_CFG0_BASE + CSL_MCU_CTRL_MMR_CFG0_LOCK1_KICK0, 0x68EF3490);
+    /* write Partition Lock Key 1 Register */
+    CSL_REG32_WR(CSL_MCU_CTRL_MMR0_CFG0_BASE + CSL_MCU_CTRL_MMR_CFG0_LOCK1_KICK1, 0xD172BC5A);
+    /* Check for unlock */
+    regVal = CSL_REG32_RD(CSL_MCU_CTRL_MMR0_CFG0_BASE + CSL_MCU_CTRL_MMR_CFG0_LOCK1_KICK0);
+    while ((regVal & 0x1) != 0x1U)
+    {
+        regVal = CSL_REG32_RD(CSL_MCU_CTRL_MMR0_CFG0_BASE + CSL_MCU_CTRL_MMR_CFG0_LOCK1_KICK0);
+    }
+
+    /* Enable MCU_MCSPI1 and MCSPI3 independently pin out */
+    CSL_REG32_WR(CSL_MCU_CTRL_MMR0_CFG0_BASE + CSL_MCU_CTRL_MMR_CFG0_MCU_SPI1_CTRL, CSL_MCU_CTRL_MMR_CFG0_MCU_SPI1_CTRL_SPI1_LINKDIS_MASK);
+}
+
 /**
  * \brief  Board specific configurations for CPSW9G Ethernet ports
  *
@@ -703,29 +697,28 @@ Board_STATUS Board_ethConfigCpsw9g(void)
     Board_STATUS status = BOARD_SOK;
     uint8_t portNum;
 
+    //TODO: by lyl spi3
+    SpiDisableMcuSpi1toSpi3();
+
     /* On J721E EVM to use all 8 ports simultaneously, we use below configuration
        RGMII Ports - 1,3,4,8. QSGMII ports - 2 (main),5,6,7 (sub)*/
 
     /* Configures the CPSW9G RGMII ports */
     for(portNum=0; portNum < BOARD_CPSW9G_PORT_MAX; portNum++)
     {
-        if ( 0U == portNum ||
-             2U == portNum ||
-             3U == portNum ||
-             7U == portNum )
+        if ( 3U == portNum ||
+             4U == portNum ||
+			 5U == portNum ||
+			 6U == portNum ||
+			 2U == portNum ||
+			 1U == portNum ||
+			 0U == portNum)
         {
             status = Board_cpsw9gEthConfig(portNum, RGMII);
         }
         else
         {
-            if (1U == portNum)
-            {
-                status = Board_cpsw9gEthConfig(portNum, QSGMII);
-            }
-            else
-            {
-                status = Board_cpsw9gEthConfig(portNum, QSGMII_SUB);
-            }
+        	status = Board_cpsw9gEthConfig(portNum, SGMII);
         }
 
         if(status != BOARD_SOK)
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_pinmux.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_pinmux.c
index 1593733..05924c9 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_pinmux.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_pinmux.c
@@ -43,7 +43,7 @@
 #include "board_pinmux.h"
 
 static Board_PinmuxConfig_t gBoardPinmuxCfg = {BOARD_PINMUX_CUSTOM,
-                                               BOARD_PINMUX_INFO_VOUT,
+                                               BOARD_PINMUX_GESI_CPSW,
                                                BOARD_PINMUX_CSI_COMMON,
                                                BOARD_PINMUX_ENET_QSGMII};
 
@@ -438,12 +438,6 @@ Board_STATUS Board_pinmuxConfig (void)
         return (BOARD_INVALID_PARAM);
     }
 
-    if(gBoardPinmuxCfg.fssCfg == BOARD_PINMUX_FSS_HPB)
-    {
-        Board_pinmuxUpdate(gJ721E_WkupPinmuxDataHpb,
-                           BOARD_SOC_DOMAIN_WKUP);
-    }
-
     return status;
 }
 
@@ -569,12 +563,6 @@ Board_STATUS Board_pinmuxConfigWkup (void)
         return (BOARD_INVALID_PARAM);
     }
 
-    if(gBoardPinmuxCfg.fssCfg == BOARD_PINMUX_FSS_HPB)
-    {
-        Board_pinmuxUpdate(gJ721E_WkupPinmuxDataHpb,
-                           BOARD_SOC_DOMAIN_WKUP);
-    }
-
     return status;
 }
 
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_serdes_cfg.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_serdes_cfg.c
index ee50529..cff1f15 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_serdes_cfg.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_serdes_cfg.c
@@ -41,7 +41,8 @@
 
 #include "board_serdes_cfg.h"
 
-static Board_STATUS Board_CfgSgmii(void)
+
+static Board_STATUS Board_CfgSgmiiSerdes4(void)
 {
     CSL_SerdesResult result;
     CSL_SerdesLaneEnableStatus laneRetVal = CSL_SERDES_LANE_ENABLE_NO_ERR;
@@ -50,13 +51,13 @@ static Board_STATUS Board_CfgSgmii(void)
     memset(&serdesLane0EnableParams, 0, sizeof(serdesLane0EnableParams));
 
     /* SGMII Config */
-    serdesLane0EnableParams.serdesInstance    = (CSL_SerdesInstance)SGMII_SERDES_INSTANCE;
-    serdesLane0EnableParams.baseAddr          = CSL_SERDES_16G0_BASE;
-    serdesLane0EnableParams.refClock          = CSL_SERDES_REF_CLOCK_100M;
+    serdesLane0EnableParams.serdesInstance    = (CSL_SerdesInstance)EDP_SERDES_INSTANCE;
+    serdesLane0EnableParams.baseAddr          = CSL_SERDES_10G0_BASE;
+    serdesLane0EnableParams.refClock          = CSL_SERDES_REF_CLOCK_19p2M;
     serdesLane0EnableParams.refClkSrc         = CSL_SERDES_REF_CLOCK_INT;
     serdesLane0EnableParams.linkRate          = CSL_SERDES_LINK_RATE_1p25G;
-    serdesLane0EnableParams.numLanes          = 0x2;
-    serdesLane0EnableParams.laneMask          = 0x3;
+    serdesLane0EnableParams.numLanes          = 0x4;
+    serdesLane0EnableParams.laneMask          = 0xF;
     serdesLane0EnableParams.SSC_mode          = CSL_SERDES_NO_SSC;
     serdesLane0EnableParams.phyType           = CSL_SERDES_PHY_TYPE_SGMII;
     serdesLane0EnableParams.operatingMode     = CSL_SERDES_FUNCTIONAL_MODE;
@@ -76,7 +77,7 @@ static Board_STATUS Board_CfgSgmii(void)
                        serdesLane0EnableParams.phyType,
                        serdesLane0EnableParams.phyInstanceNum,
                        serdesLane0EnableParams.serdesInstance,
-                       SGMII_LANE_NUM);
+                       3);
 
 
     result = CSL_serdesRefclkSel(CSL_CTRL_MMR0_CFG0_BASE,
@@ -125,13 +126,17 @@ static Board_STATUS Board_CfgQsgmii(void)
     serdesLane0EnableParams.refClock          = CSL_SERDES_REF_CLOCK_100M;
     serdesLane0EnableParams.refClkSrc         = CSL_SERDES_REF_CLOCK_INT;
     serdesLane0EnableParams.linkRate          = CSL_SERDES_LINK_RATE_5G;
-    serdesLane0EnableParams.numLanes          = 1;
-    serdesLane0EnableParams.laneMask          = 0x2;
+    serdesLane0EnableParams.numLanes          = 0x2;
+    serdesLane0EnableParams.laneMask          = 0x3;
     serdesLane0EnableParams.SSC_mode          = CSL_SERDES_NO_SSC;
     serdesLane0EnableParams.phyType           = CSL_SERDES_PHY_TYPE_QSGMII;
     serdesLane0EnableParams.operatingMode     = CSL_SERDES_FUNCTIONAL_MODE;
     serdesLane0EnableParams.phyInstanceNum    = SERDES_LANE_SELECT_CPSW;
-    serdesLane0EnableParams.pcieGenType       = CSL_SERDES_PCIE_GEN4;
+    serdesLane0EnableParams.pcieGenType        = CSL_SERDES_PCIE_GEN4;
+
+    serdesLane0EnableParams.laneCtrlRate[0]   = CSL_SERDES_LANE_FULL_RATE;
+    serdesLane0EnableParams.loopbackMode[0]   = CSL_SERDES_LOOPBACK_DISABLED;
+
     serdesLane0EnableParams.laneCtrlRate[1]   = CSL_SERDES_LANE_FULL_RATE;
     serdesLane0EnableParams.loopbackMode[1]   = CSL_SERDES_LOOPBACK_DISABLED;
 
@@ -175,188 +180,6 @@ static Board_STATUS Board_CfgQsgmii(void)
     return BOARD_SOK;
 }
 
-static Board_STATUS Board_CfgSierra0Clks(void)
-{
-    uint64_t clkRateHz = 100000000U, clkRateRead = 0U;
-    uint32_t moduleId  = TISCI_DEV_SERDES_16G0;
-    int32_t i, result;
-    uint32_t clkID[] = { TISCI_DEV_SERDES_16G0_CORE_REF1_CLK,
-                         TISCI_DEV_SERDES_16G0_CORE_REF_CLK };
-    uint32_t parentID[] = { TISCI_DEV_SERDES_16G0_CORE_REF1_CLK_PARENT_HSDIV4_16FFT_MAIN_2_HSDIVOUT4_CLK,
-                            TISCI_DEV_SERDES_16G0_CORE_REF_CLK_PARENT_HSDIV4_16FFT_MAIN_2_HSDIVOUT4_CLK };
-
-    for(i=0; i< sizeof(clkID)/sizeof(clkID[0]); i++)
-    {
-        /* Disable the clock */
-        result = Sciclient_pmModuleClkRequest(moduleId,
-                                              clkID[i],
-                                              TISCI_MSG_VALUE_CLOCK_SW_STATE_UNREQ,
-                                              0U,
-                                              SCICLIENT_SERVICE_WAIT_FOREVER);
-        if (result != CSL_SERDES_NO_ERR)
-        {
-            return BOARD_FAIL;
-        }
-
-        /* Set the parent */
-        result = Sciclient_pmSetModuleClkParent(moduleId,
-                                                clkID[i],
-                                                parentID[i],
-                                                SCICLIENT_SERVICE_WAIT_FOREVER);
-
-        if (result != CSL_SERDES_NO_ERR)
-        {
-            return BOARD_FAIL;
-        }
-
-        /* Set the clock at the desirable frequency */
-        result = Sciclient_pmSetModuleClkFreq(moduleId,
-                                              clkID[i],
-                                              clkRateHz,
-                                              TISCI_MSG_FLAG_CLOCK_ALLOW_FREQ_CHANGE,
-                                              SCICLIENT_SERVICE_WAIT_FOREVER);
-
-        if (result != CSL_SERDES_NO_ERR)
-        {
-            return BOARD_FAIL;
-        }
-
-        /* Confirm if clock is set */
-        clkRateRead = 0U;
-        result = Sciclient_pmGetModuleClkFreq(moduleId,
-                                              clkID[i],
-                                              &clkRateRead,
-                                              SCICLIENT_SERVICE_WAIT_FOREVER);
-
-        if ((result != CSL_SERDES_NO_ERR) || (clkRateRead != clkRateHz))
-        {
-            return BOARD_FAIL;
-        }
-    }
-
-    /* Set module to ON state */
-    result = Sciclient_pmSetModuleState(moduleId,
-                                        TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
-                                        (TISCI_MSG_FLAG_AOP | TISCI_MSG_FLAG_DEVICE_RESET_ISO),
-                                        SCICLIENT_SERVICE_WAIT_FOREVER);
-    if (result != CSL_SERDES_NO_ERR)
-    {
-        return BOARD_FAIL;
-    }
-
-    /* Reset if changed state to enabled */
-    result = Sciclient_pmSetModuleRst(moduleId,
-                                      0x0U /*resetBit*/,
-                                      SCICLIENT_SERVICE_WAIT_FOREVER);
-
-    if (result != CSL_SERDES_NO_ERR)
-    {
-        return BOARD_FAIL;
-    }
-
-
-    return BOARD_SOK;
-}
-
-static Board_STATUS Board_CfgMultilinkPcieQsgmii(void)
-{
-    CSL_SerdesResult result;
-    CSL_SerdesMultilink multiLinkId = CSL_SERDES_PCIe_QSGMII_MULTILINK;
-    CSL_SerdesInstance serdesInstanceId = CSL_SIERRA_SERDES0;
-    CSL_SerdesLaneEnableStatus laneRetVal = CSL_SERDES_LANE_ENABLE_NO_ERR;
-    CSL_SerdesLaneEnableParams serdesLane0EnableParams;
-    CSL_SerdesLaneEnableParams serdesLane1EnableParams;
-
-    memset(&serdesLane0EnableParams, 0, sizeof(serdesLane0EnableParams));
-    memset(&serdesLane1EnableParams, 0, sizeof(serdesLane1EnableParams));
-
-    /* PCIe Config */
-    serdesLane0EnableParams.serdesInstance    = CSL_SIERRA_SERDES0;
-    serdesLane0EnableParams.baseAddr          = CSL_SERDES_16G0_BASE;
-    serdesLane0EnableParams.refClock          = CSL_SERDES_REF_CLOCK_100M;
-    serdesLane0EnableParams.refClkSrc         = CSL_SERDES_REF_CLOCK_INT;
-    serdesLane0EnableParams.linkRate          = CSL_SERDES_LINK_RATE_5G;
-    serdesLane0EnableParams.numLanes          = 1U;
-    serdesLane0EnableParams.laneMask          = 0x1U;
-    serdesLane0EnableParams.SSC_mode          = CSL_SERDES_NO_SSC;
-    serdesLane0EnableParams.phyType           = CSL_SERDES_PHY_TYPE_PCIe;
-    serdesLane0EnableParams.operatingMode     = CSL_SERDES_FUNCTIONAL_MODE;
-    serdesLane0EnableParams.phyInstanceNum    = SERDES_PCIE_PHY_INST_NUM;
-    serdesLane0EnableParams.pcieGenType       = CSL_SERDES_PCIE_GEN4;
-    serdesLane0EnableParams.laneCtrlRate[0]   = CSL_SERDES_LANE_FULL_RATE;
-    serdesLane0EnableParams.loopbackMode[0]   = CSL_SERDES_LOOPBACK_DISABLED;
-
-    /* QSGMII Config */
-    serdesLane1EnableParams.serdesInstance    = CSL_SIERRA_SERDES0;
-    serdesLane1EnableParams.baseAddr          = CSL_SERDES_16G0_BASE;
-    serdesLane1EnableParams.refClock          = CSL_SERDES_REF_CLOCK_100M;
-    serdesLane1EnableParams.refClkSrc         = CSL_SERDES_REF_CLOCK_INT;
-    serdesLane1EnableParams.linkRate          = CSL_SERDES_LINK_RATE_5G;
-    serdesLane1EnableParams.numLanes          = 1U;
-    serdesLane1EnableParams.laneMask          = 0x2U;
-    serdesLane1EnableParams.SSC_mode          = CSL_SERDES_NO_SSC;
-    serdesLane1EnableParams.phyType           = CSL_SERDES_PHY_TYPE_QSGMII;
-    serdesLane1EnableParams.operatingMode     = CSL_SERDES_FUNCTIONAL_MODE;
-    serdesLane1EnableParams.phyInstanceNum    = SERDES_LANE_SELECT_CPSW;
-    serdesLane1EnableParams.pcieGenType       = CSL_SERDES_PCIE_GEN4;
-    serdesLane1EnableParams.laneCtrlRate[1]   = CSL_SERDES_LANE_FULL_RATE;
-    serdesLane1EnableParams.loopbackMode[1]   = CSL_SERDES_LOOPBACK_DISABLED;
-
-    CSL_serdesPorReset(CSL_SERDES_16G0_BASE);
-
-    /* Select the IP type, IP instance num, Serdes Lane Number for PCIe */
-    CSL_serdesIPSelect(CSL_CTRL_MMR0_CFG0_BASE,
-                       serdesLane0EnableParams.phyType,
-                       serdesLane0EnableParams.phyInstanceNum,
-                       serdesLane0EnableParams.serdesInstance,
-                       PCIE0_LANE_NUM);
-
-    /* Select the IP type, IP instance num, Serdes Lane Number for QSGMII */
-    CSL_serdesIPSelect(CSL_CTRL_MMR0_CFG0_BASE,
-                       serdesLane1EnableParams.phyType,
-                       serdesLane1EnableParams.phyInstanceNum,
-                       serdesLane1EnableParams.serdesInstance,
-                       SGMII_LANE_NUM);
-
-    result = CSL_serdesRefclkSel(CSL_CTRL_MMR0_CFG0_BASE,
-                                 CSL_SERDES_16G0_BASE,
-                                 CSL_SERDES_REF_CLOCK_100M,
-                                 CSL_SERDES_REF_CLOCK_INT,
-                                 CSL_SIERRA_SERDES0,
-                                 0U /* unused */);
-
-    if (result != CSL_SERDES_NO_ERR)
-    {
-        return BOARD_FAIL;
-    }
-
-    /* Load the Serdes Config File */
-    result = CSL_serdesMultiLinkInit(multiLinkId,
-                                     serdesInstanceId,
-                                     &serdesLane0EnableParams,
-                                     &serdesLane1EnableParams);
-    if (result != CSL_SERDES_NO_ERR)
-    {
-        return BOARD_FAIL;
-    }
-
-    /* Enable PCIe lane */
-    laneRetVal = CSL_serdesLaneEnable(&serdesLane0EnableParams);
-    if (laneRetVal != CSL_SERDES_LANE_ENABLE_NO_ERR)
-    {
-        return BOARD_FAIL;
-    }
-
-    /* Enable QSGMII lane */
-    laneRetVal = CSL_serdesLaneEnable(&serdesLane1EnableParams);
-    if (laneRetVal != CSL_SERDES_LANE_ENABLE_NO_ERR)
-    {
-        return BOARD_FAIL;
-    }
-
-    return BOARD_SOK;
-}
-
 /**
  *  \brief serdes configurations
  *
@@ -367,10 +190,11 @@ static Board_STATUS Board_CfgMultilinkPcieQsgmii(void)
  */
 Board_STATUS Board_serdesCfgSgmii(void)
 {
-    Board_STATUS ret;
+    Board_STATUS ret = 0;
 
     /* SERDES0 Initializations */
-    ret = Board_CfgSgmii();
+//    ret = Board_CfgSgmii();
+    ret |= Board_CfgSgmiiSerdes4();
     if(ret != BOARD_SOK)
     {
         return ret;
@@ -401,20 +225,6 @@ Board_STATUS Board_serdesCfgQsgmii(void)
     return BOARD_SOK;
 }
 
-int32_t Board_serdesCfgStatus(void)
-{
-    CSL_SerdesStatus serdesStatus;
-    int32_t ret = FALSE;
-
-    serdesStatus = CSL_serdesConfigStatus(CSL_SERDES_16G0_BASE);
-    if (serdesStatus == CSL_SERDES_STATUS_PLL_LOCKED)
-    {
-        ret = TRUE;
-    }
-
-    return ret;
-}
-
 /**
  *  \brief serdes configurations
  *
@@ -428,18 +238,12 @@ Board_STATUS Board_serdesCfg(void)
     Board_STATUS ret;
 
     /* Configure SERDES clocks */
-    ret = Board_CfgSierra0Clks();
-    if(ret != BOARD_SOK)
-    {
-        return ret;
-    }
-
-    /* SERDES0 Initializations */
-    ret = Board_CfgMultilinkPcieQsgmii();
+    ret = Board_CfgSgmiiSerdes4();
     if(ret != BOARD_SOK)
     {
         return ret;
     }
-
+    
     return BOARD_SOK;
 }
+
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_utils.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_utils.c
index 93425ec..41cc8f2 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_utils.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/board_utils.c
@@ -147,6 +147,11 @@ bool Board_detectBoard(uint32_t boardID)
         }
     }
 
+    if(boardID == BOARD_ID_GESI || BOARD_ID_ENET == boardID)
+    {
+    	bDet = TRUE;
+    }
+
     return bDet;
 }
 
@@ -168,22 +173,9 @@ bool Board_detectBoard(uint32_t boardID)
  */
 bool Board_isAlpha(uint32_t boardID)
 {
-    Board_IDInfo_v2 info = {0};
-    Board_STATUS status;
-    bool alphaBoard = FALSE;
 
-    status = Board_getBoardData(&info, boardID);
-    if(status == 0)
-    {
-        if(!(strncmp(info.boardInfo.designRev,
-                     "E2",
-                     BOARD_DESIGN_REV_LEN)))
-        {
-            alphaBoard = TRUE;
-        }
-    }
 
-    return alphaBoard;
+    return FALSE;
 }
 
 /**
